<?php require_once('Connections/conn_newland.php'); ?>
<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? "'" . doubleval($theValue) . "'" : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}
// Tworzy zestaw rekordów wszystkich nazw wycieczek i ich identyfikatorów z tabeli tbl_tours z bazy danych. Dane te posłużą póżniej do wypełnienia rozwijanego menu formularza.
mysql_select_db($database_conn_newland, $conn_newland);
$query_rs_tournames = "SELECT tourID, tourName FROM tbl_tours ORDER BY tourName ASC";
$rs_tournames = mysql_query($query_rs_tournames, $conn_newland) or die(mysql_error());
$row_rs_tournames = mysql_fetch_assoc($rs_tournames);
$totalRows_rs_tournames = mysql_num_rows($rs_tournames);
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Newland Tours: Kalkulator cen wycieczek</title>
<link href="css/main.css" rel="stylesheet" type="text/css" />
</head>

<body class="oneColFixCtrHdr">
<a href="#top"><img src="images/spacer.gif" alt="Przejdź do głównej treści strony" border="0" /></a>
<div id="container">
  <div id="header">
    <img src="images/banner_left.gif" width="451" height="68" alt="Banner Newland Tours, strona lewa." /><img src="images/banner_right.jpg" width="276" height="68" id="bannerRight" alt="Banner Newland Tours, strona prawa" />
  <!-- end #header --></div>
  <div id="navigation">
  	<ul>
        <li><a href="index.php">Główna</a></li>
        <li><span class=""><span class=""><a href="about.cfm">O firmie</a></span></span></li>
<li><a href="tours.php">Znajdź wyjazd</a></li>
        <li><a href="profiles.php">Opisy krajów</a></li>
        <li><a href="contact.php">Kontakt z nami</a></li>
    </ul>
    </div>
  <div id="mainContent">
    <h1><a name="top" id="top"></a>Kalkulator cen wycieczek</h1>
    <p>Podaj liczbę osób dorosłych i  dzieci wchodzących w skład grupy oraz nazwę wycieczki, dla której chcesz  obliczyć cenę.</p>
    <p>Wymagane jest wypełnienie  wszystkich pól (w razie konieczności wpisz 0).</p>

	<?php
	if ($_GET['error'] == "notnumeric")
		{
			echo "<p class=\"error\">*** Błąd! Nie wypełniono jednego lub więcej pól albo któreś z pól zawiera znak niebędący liczbą.</p>";
		}		

	?>

    <form id="frm_tourprice" name="frm_tourprice" method="post" action="tourprice_processor.php">
      <table width="60%" border="0" cellpadding="3" cellspacing="0" bgcolor="#EEEEEE">
        <tr>
          <td>Liczba  dorosłych</td>
          <td><input name="numAdults" type="text" id="numAdults" value="0" maxlength="3" /></td>
        </tr>
        <tr>
          <td>Liczba  dzieci </td>
          <td><input name="numChildren" type="text" id="numChildren" value="0" maxlength="3" /></td>
        </tr>
        <tr>
          <td>Nazwa  wycieczki</td>
          <td><select name="tourName" id="tourName">
            <?php
do {  
?>
            <option value="<?php echo $row_rs_tournames['tourID']?>"<?php if (!(strcmp($row_rs_tournames['tourID'], $_GET['tourID']))) {echo "selected=\"selected\"";} ?>><?php echo $row_rs_tournames['tourName']?></option>
            <?php
} while ($row_rs_tournames = mysql_fetch_assoc($rs_tournames));
  $rows = mysql_num_rows($rs_tournames);
  if($rows > 0) {
      mysql_data_seek($rs_tournames, 0);
	  $row_rs_tournames = mysql_fetch_assoc($rs_tournames);
  }
?>
          </select>
          </td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td><input type="submit" name="button" id="button" value="Wyślij" /></td>
        </tr>
      </table>
    </form>
    <br clear="all" />
  <!-- end #mainContent --></div>
  <div id="footer">
    <p>&copy; 2007 Newland Tours</p>
  <!-- end #footer --></div>
<!-- end #container --></div>

</body>
</html>
<?php
mysql_free_result($rs_tournames);
?>
